## ros-melodic-vapor-master 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(vapor_master)

find_package(catkin REQUIRED COMPONENTS
#  std_msgs
)

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES vapor_master
#  CATKIN_DEPENDS std_msgs
#  DEPENDS nodejs
)

execute_process(COMMAND rm -rf ${CMAKE_CURRENT_SOURCE_DIR}/node_modules ${CMAKE_CURRENT_SOURCE_DIR}/dist )
execute_process(COMMAND npm --prefix ${CMAKE_CURRENT_SOURCE_DIR} install)
execute_process(COMMAND npm --prefix ${CMAKE_CURRENT_SOURCE_DIR} run prepare-catkin)
execute_process(COMMAND rm -rf ${CMAKE_CURRENT_SOURCE_DIR}/node_modules )
execute_process(COMMAND npm --prefix ${CMAKE_CURRENT_SOURCE_DIR} --production install)

install(PROGRAMS bin/vapor_master
        DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(PROGRAMS package.json
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY dist/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/dist
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

install(DIRECTORY node_modules
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-vapor-master (0.3.0-0bionic) bionic; urgency=high

  * remove dead code
  * Allow parameter array and map containers (#26 <https://github.com/roshub/vapor_master/issues/26>)
    * track array items
    * support yaml maps and arrays. ensure single no duplicate param paths and allow updating
  * Contributors: 7bit, Nick Zatkovich

 -- Nicholas Zatkovich <nick@roshub.io>  Tue, 22 Jan 2019 08:00:00 -0000

ros-melodic-vapor-master (0.1.0-0bionic) bionic; urgency=high

  * Initial release
  * Contributors: Nick Zatkovich

 -- Nicholas Zatkovich <nick@roshub.io>  Mon, 31 Dec 2018 08:00:00 -0000

=== debian/control ===
Source: ros-melodic-vapor-master
Section: misc
Priority: extra
Maintainer: Nicholas Zatkovich <nick@roshub.io>
Build-Depends: debhelper (>= 9.0.0), nodejs, npm, ros-melodic-catkin
Homepage: http://github.com/roshub/vapor_master
Standards-Version: 3.9.2

Package: ros-melodic-vapor-master
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nodejs, ros-melodic-rospack
Description: high availability ros master

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-vapor-master//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
